model introModelisationMultiphysiqueTamiya
  Modelica.Electrical.Analog.Basic.Resistor R_interne(R = 0.17, T_ref = 300.15, alpha = 0) annotation(Placement(visible = true, transformation(origin = {-54.7622, 44.5326}, extent = {{-5.99969, -5.99969}, {5.99969, 5.99969}}, rotation = 0)));
  Modelica.Electrical.Analog.Basic.Resistor R_batterie(R = 0.12, T_ref = 300.15, alpha = 0) annotation(Placement(visible = true, transformation(origin = {-73.9897, 44.4006}, extent = {{-5.29546, -5.29546}, {5.29546, 5.29546}}, rotation = 0)));
  Modelica.Electrical.Analog.Basic.Inductor inductance(L = 0.0001) annotation(Placement(visible = true, transformation(origin = {-38.0356, 44.3977}, extent = {{-5.64757, -5.64757}, {5.64757, 5.64757}}, rotation = 0)));
  Modelica.Electrical.Analog.Sources.ConstantVoltage constantvoltage1(V = 6) annotation(Placement(visible = true, transformation(origin = {-87.2441, 29.1662}, extent = {{-5.58606, -5.58606}, {5.58606, 5.58606}}, rotation = -90)));
  Modelica.Mechanics.Translational.Components.Mass mass1(m = 1.45, stateSelect = StateSelect.default) annotation(Placement(visible = true, transformation(origin = {47.5671, 27.8438}, extent = {{-4.83576, -4.83576}, {4.83576, 4.83576}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Components.IdealGearR2T Roue(ratio = 30) annotation(Placement(visible = true, transformation(origin = {31.4669, 27.4505}, extent = {{-4.65971, -4.65971}, {4.65971, 4.65971}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Components.LossyGear transmission(lossTable = [0, 0.6, 0.6, 0, 0], ratio = 9) annotation(Placement(visible = true, transformation(origin = {14.3109, 27.0769}, extent = {{-5.92486, -5.92486}, {5.92486, 5.92486}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Components.Inertia inertie_rotation(J = 0.0000026, stateSelect = StateSelect.default) annotation(Placement(visible = true, transformation(origin = {-5.23256, 27.0313}, extent = {{-6.5502, -6.5502}, {6.5502, 6.5502}}, rotation = 0)));
  Modelica.Electrical.Analog.Basic.EMF machine(useSupport = false, k = 0.004) annotation(Placement(visible = true, transformation(origin = {-26.8167, 27.0143}, extent = {{-6.36146, -6.36146}, {6.36146, 6.36146}}, rotation = 0)));
  Modelica.Mechanics.Translational.Sensors.SpeedSensor vitesse annotation(Placement(visible = true, transformation(origin = {66.9032, 28.1119}, extent = {{-6.21205, -6.21205}, {6.21205, 6.21205}}, rotation = 0)));
  Modelica.Electrical.Analog.Basic.Ground masse annotation(Placement(visible = true, transformation(origin = {-55.7224, 3.68272}, extent = {{-5.57624, -5.57624}, {5.57624, 5.57624}}, rotation = 0)));
  Modelica.Mechanics.Translational.Sources.Force force1 annotation(Placement(visible = true, transformation(origin = {43.5211, 5.04648}, extent = {{-4.84571, -4.84571}, {4.84571, 4.84571}}, rotation = 0)));
  Modelica.Blocks.Sources.Constant Effort(k = -1.5) annotation(Placement(visible = true, transformation(origin = {22.5377, 4.79052}, extent = {{-4.62693, -4.62693}, {4.62693, 4.62693}}, rotation = 0)));
equation
  connect(Effort.y, force1.f) annotation(Line(points = {{27.6273, 4.79052}, {36.6851, 4.79052}, {37.7062, 5.58995}, {37.7062, 5.04648}}));
  connect(force1.flange, mass1.flange_b) annotation(Line(points = {{48.3668, 5.04648}, {56.2755, 5.04648}, {56.2755, 27.7369}, {52.5902, 27.7369}, {52.5902, 27.7369}}));
  connect(masse.p, machine.n) annotation(Line(points = {{-55.7224, 9.25896}, {-26.5473, 9.25896}, {-26.5473, 20.5602}, {-26.5473, 20.5602}}));
  connect(constantvoltage1.n, masse.p) annotation(Line(points = {{-87.2441, 23.5801}, {-87.2441, 9.11637}, {-69.8014, 9.259}, {-55.7224, 9.259}}));
  connect(mass1.flange_b, vitesse.flange) annotation(Line(points = {{52.4029, 27.8438}, {61.1246, 27.8438}, {61.1246, 27.9309}, {61.1246, 27.9309}}));
  connect(inductance.n, machine.p) annotation(Line(points = {{-32.388, 44.3977}, {-26.5473, 44.3977}, {-26.5473, 33.1679}, {-26.5473, 33.1679}}));
  connect(machine.flange, inertie_rotation.flange_a) annotation(Line(points = {{-20.4552, 27.0143}, {-11.806, 27.0143}, {-11.806, 27.155}, {-11.806, 27.155}}));
  connect(inertie_rotation.flange_b, transmission.flange_a) annotation(Line(points = {{1.31764, 27.0313}, {8.94824, 27.0313}, {8.94824, 26.9611}, {8.94824, 26.9611}}));
  connect(transmission.flange_b, Roue.flangeR) annotation(Line(points = {{20.2358, 27.0769}, {26.9869, 27.0769}, {26.9869, 27.349}, {26.9869, 27.349}}));
  connect(Roue.flangeT, mass1.flange_a) annotation(Line(points = {{36.1266, 27.4505}, {43.0858, 27.4505}, {43.0858, 27.7369}, {43.0858, 27.7369}}));
  connect(constantvoltage1.p, R_batterie.p) annotation(Line(points = {{-87.2441, 34.7523}, {-87.2441, 44.5065}, {-79.2047, 44.5065}, {-79.2047, 44.5065}}));
  connect(R_interne.n, inductance.p) annotation(Line(points = {{-48.7625, 44.5326}, {-43.2282, 44.5326}, {-43.2282, 44.2239}, {-43.2282, 44.2239}}));
  connect(R_batterie.n, R_interne.p) annotation(Line(points = {{-68.6942, 44.4006}, {-60.9569, 44.4006}, {-60.9569, 44.5326}, {-60.7618, 44.5326}}));
  annotation(Diagram);
end introModelisationMultiphysiqueTamiya;